Page MenuHomePhabricator

[Epic] Allow CX template editor to handle templates inside references / citations / footnotes
Closed, ResolvedPublic

Description

The CX template editor now allows the translator to control the templates in a fine-grained way. However, it's not possible to fully control templates inside <ref> tags, and it's very common to have various {{cite}} templates there. It must be possible to fully handle them the same way.

Event Timeline

Amire80 created this task.Dec 5 2016, 7:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2016, 7:40 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Dec 5 2016, 8:15 PM
Amire80 renamed this task from Allow CX template editor to handle templates inside references / citations / footnotes to [Epic] Allow CX template editor to handle templates inside references / citations / footnotes.
Amire80 added a project: Epic.
Amire80 triaged this task as High priority.May 9 2017, 5:44 PM
Pginer-WMF closed this task as Resolved.Feb 18 2019, 2:34 PM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

The template editor in the new version of Content translation supports recursively accessing templates inside other elements.